#include <devctl.h>

typedef union PCI429_devctl_msg
	{
		int		tx;
		int		rx;
	} data_t;

#define	PCI429_CMD_CODE		1
#define	pci429_getRID				__DIOF  (_DCMD_CHR, PCI429_CMD_CODE    , unsigned short int )
#define	pci429_getRD				__DIOF  (_DCMD_CHR, PCI429_CMD_CODE+1, unsigned short int )
#define	pci429_setRD				__DIOT  (_DCMD_CHR, PCI429_CMD_CODE+2, unsigned short int )
#define	pci429_setRA				__DIOT  (_DCMD_CHR, PCI429_CMD_CODE+3, unsigned short int )
#define	pci429_setRM				__DIOT  (_DCMD_CHR, PCI429_CMD_CODE+4, unsigned short int )
#define	pci429_setRI					__DIOT  (_DCMD_CHR, PCI429_CMD_CODE+5, unsigned short int )
#define	pci429_getRI					__DIOF  (_DCMD_CHR, PCI429_CMD_CODE+6, unsigned short int )
#define	pci429_setDO				__DIOT  (_DCMD_CHR, PCI429_CMD_CODE+7, unsigned short int )
#define	pci429_getDI					__DIOF  (_DCMD_CHR, PCI429_CMD_CODE+8, unsigned short int )
#define	pci429_resetInt				__DION  (_DCMD_CHR, PCI429_CMD_CODE+9 )
#define	pci429_readMEM			__DIOTF(_DCMD_CHR,  PCI429_CMD_CODE+10, unsigned short int )
#define	pci429_writeMEM			__DIOT  (_DCMD_CHR, PCI429_CMD_CODE+11, unsigned short int )
#define	pci429_RESET				__DIOF   (_DCMD_CHR, PCI429_CMD_CODE+12, unsigned short int )
#define	pci429_INIT					__DIOT   (_DCMD_CHR, PCI429_CMD_CODE+13, unsigned short int )
#define	pci429_STOP					__DION   (_DCMD_CHR, PCI429_CMD_CODE+14 )
#define	pci429_TAB_SI_PA  		__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+15, unsigned short int )
#define	pci429_TAB_SI_SS  		__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+16, unsigned short int )
#define	pci429_puskSI				__DIOTF (_DCMD_CHR, PCI429_CMD_CODE+17, unsigned short int )
#define	pci429_stopSI				__DIOT   (_DCMD_CHR, PCI429_CMD_CODE+18, unsigned short int )
#define	pci429_READ_PRM			__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+19, unsigned short int )
#define	pci429_READ_PRM_SS			__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+20, unsigned short int )
#define	pci429_READ_PRM_BT			__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+21, unsigned short int )
#define	pci429_READ_PRM_SS_nc		__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+22, unsigned short int )
#define	pci429_READ_PRM_BT_nc		__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+23, unsigned short int )
#define	pci429_READ_Z					__DIOT    (_DCMD_CHR, PCI429_CMD_CODE+24, unsigned short int )
#define	pci429_writeRC1514_SI 	__DIOT(_DCMD_CHR, PCI429_CMD_CODE+25, unsigned short int )
#define	pci429_get_RS_SI			__DIOTF(_DCMD_CHR, PCI429_CMD_CODE+26, unsigned short int )
#define	pci429_get_RC_SI			__DIOTF(_DCMD_CHR, PCI429_CMD_CODE+27, unsigned short int )

#define	pci429_TAB_SO_F		__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+28, unsigned short int )
#define	pci429_TAB_SO_G		__DIOTF   (_DCMD_CHR, PCI429_CMD_CODE+29, unsigned short int )
#define	pci429_puskSO			__DIOTF (_DCMD_CHR, PCI429_CMD_CODE+30, unsigned short int )
#define	pci429_stopSO			__DIOT   (_DCMD_CHR, PCI429_CMD_CODE+31, unsigned short int )
#define	pci429_WRITE_PRM_F		 	__DIOT(_DCMD_CHR, PCI429_CMD_CODE+32, unsigned short int )
#define	pci429_WRITE_PRM_G		 	__DIOT(_DCMD_CHR, PCI429_CMD_CODE+33, unsigned short int )
#define	pci429_WRITE_PRM_PRT		__DIOT   (_DCMD_CHR, PCI429_CMD_CODE+34, unsigned short int )
#define	pci429_WRITE_PRM_F_PRT 	__DIOT(_DCMD_CHR, PCI429_CMD_CODE+35, unsigned short int )
#define	pci429_WRITE_PRM_G_PRT 	__DIOT(_DCMD_CHR, PCI429_CMD_CODE+36, unsigned short int )

#define	pci429_writeRC1514_SO 	__DIOT(_DCMD_CHR, PCI429_CMD_CODE+37, unsigned short int )
#define	pci429_get_RS_SO			__DIOTF(_DCMD_CHR, PCI429_CMD_CODE+38, unsigned short int )
#define	pci429_get_RC_SO			__DIOTF(_DCMD_CHR, PCI429_CMD_CODE+39, unsigned short int )

#define	pci429_getRGF					__DIOF  (_DCMD_CHR, PCI429_CMD_CODE+40, unsigned short int )
#define	pci429_getRGF_int			__DIOF  (_DCMD_CHR, PCI429_CMD_CODE+41, unsigned short int )
#define	pci429_getRSRC				__DIOF  (_DCMD_CHR, PCI429_CMD_CODE+42, unsigned short int )
#define	pci429_getSN					__DIOF  (_DCMD_CHR, PCI429_CMD_CODE+43, unsigned short int )

#define	pci429_setEvent				__DIOT  (_DCMD_CHR, PCI429_CMD_CODE+44, unsigned short int )

#/** PhEDIT attribute block
#-11:16777215
#0:20:TextFont9:85:-1:0
#20:21:TextFont11:85:-1:0
#21:933:default:85:-3:0
#933:941:TextFont09:85:-1:0
#941:998:default:85:-3:0
#998:1006:TextFont09:85:-1:0
#1006:1085:default:85:-3:0
#1085:1093:TextFont09:85:-1:0
#1093:1119:default:85:-3:0
#1119:1205:TextFont09:85:-1:0
#1205:1220:default:85:-3:0
#1220:1224:TextFont9:0:-1:0
#1224:1306:default:85:-3:0
#1306:1310:TextFont9:0:-1:0
#1310:1357:default:85:-3:0
#1357:1372:TextFont09:85:-1:0
#1372:1383:TextFont9:0:-1:0
#1383:1463:TextFont09:85:-1:0
#1463:1474:TextFont9:0:-1:0
#1474:2277:TextFont09:85:-1:0
#2277:2291:TextFont9:0:-1:0
#2291:2526:TextFont09:85:-1:0
#2526:2527:default:85:-3:0
#2527:3342:TextFont09:85:-1:0
#3342:3356:TextFont9:0:-1:0
#3356:3591:TextFont09:85:-1:0
#3591:3592:default:85:-3:0
#3592:4030:TextFont09:85:-1:0
#**  PhEDIT attribute block ends (-0000872)**/
